=== modified file 'Makefile.am'
--- Makefile.am	2010-01-12 21:04:27 +0000
+++ Makefile.am	2010-02-10 09:07:38 +0000
@@ -149,3 +149,4 @@
 	find ./ | $(GREP) \.rej | xargs rm -f
 	find ./ | $(GREP) \~$$ | xargs rm -f
 	bzr unknowns
+

=== modified file 'configure.ac'
--- configure.ac	2009-12-24 23:36:45 +0000
+++ configure.ac	2010-02-10 09:07:38 +0000
@@ -120,6 +120,7 @@
  drizzled/plugin/version.h dnl
  support-files/drizzle.server support-files/drizzle-log-rotate
  support-files/smf/install.sh dnl
+ support-files/drizzle.spec dnl
  support-files/smf/drizzle.xml dnl
  support-files/smf/drizzle)
 

=== added file 'support-files/drizzle.spec.in'
--- support-files/drizzle.spec.in	1970-01-01 00:00:00 +0000
+++ support-files/drizzle.spec.in	2010-02-10 09:07:38 +0000
@@ -0,0 +1,592 @@
+Name:      drizzle
+Summary:   drizzle server and command lines
+Version: @VERSION@
+Release:   1
+License:   GPL/BSD
+Group:     System Environment/Libraries
+URL:       http://launchpad.net/drizzle
+Source0:   http://launchpad.net/drizzle/trunk/aloha/+download/drizzle-%{version}.tar.gz
+
+# For test suite
+#BuildRequires:
+
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+
+%description
+Drizzle is a transactional SQL92 compliant relational database, geared
+towards a plugin based architecture.
+
+%package devel
+Summary: Header files and development libraries for %{name}
+Group: Development/Libraries
+Requires: %{name} = %{version}-%{release}
+
+%description devel
+This package contains the header files and development libraries
+for %{name}. If you like to develop programs using %{name}, 
+you will need to install %{name}-devel.
+
+
+%prep
+%setup -q
+
+%build
+%configure
+%{__make} %{_smp_mflags}
+
+
+%install
+%{__rm} -rf %{buildroot}
+%{__make} install  DESTDIR="%{buildroot}" AM_INSTALL_PROGRAM_FLAGS=""
+
+
+%check
+# test suite cannot run in mock (same port use for memcache server on all arch)
+# 1 test seems to fail.. 
+#%{__make} test
+
+
+%clean
+%{__rm} -rf %{buildroot}
+
+
+%post -p /sbin/ldconfig
+
+
+%postun -p /sbin/ldconfig
+ 
+
+%files
+%defattr (-,root,root,-) 
+%doc AUTHORS COPYING NEWS README
+#%{_bindir}/mem*
+#%exclude %{_libdir}/libmemcachedprotocol.la
+#%{_libdir}/libhashkit.so.*
+#%{_mandir}/man1/memcapable.1.gz
+
+
+%files devel
+%defattr (-,root,root,-) 
+#%doc examples
+#%{_includedir}/libmemcached/memcached/protocol_binary.h
+#%{_libdir}/libhashkit.so
+#%{_libdir}/libmemcached.so
+#%{_libdir}/libmemcachedprotocol.so
+#%{_libdir}/libmemcachedutil.so
+#%{_libdir}/pkgconfig/libmemcached.pc
+#%{_mandir}/man3/hashkit_clone.3.gz
+%{_bindir}/drizzle
+%{_bindir}/drizzledump
+%{_bindir}/drizzleimport
+%{_bindir}/drizzleslap
+%{_includedir}/drizzled/algorithm/crc32.h
+%{_includedir}/drizzled/alter_column.h
+%{_includedir}/drizzled/alter_drop.h
+%{_includedir}/drizzled/alter_info.h
+%{_includedir}/drizzled/atomic/gcc_traits.h
+%{_includedir}/drizzled/atomic/pthread_traits.h
+%{_includedir}/drizzled/atomic/sun_studio.h
+%{_includedir}/drizzled/atomics.h
+%{_includedir}/drizzled/base.h
+%{_includedir}/drizzled/cached_directory.h
+%{_includedir}/drizzled/cached_item.h
+%{_includedir}/drizzled/calendar.h
+%{_includedir}/drizzled/charset.h
+%{_includedir}/drizzled/charset_info.h
+%{_includedir}/drizzled/check_stack_overrun.h
+%{_includedir}/drizzled/common.h
+%{_includedir}/drizzled/comp_creator.h
+%{_includedir}/drizzled/cost_vect.h
+%{_includedir}/drizzled/create_field.h
+%{_includedir}/drizzled/current_session.h
+%{_includedir}/drizzled/cursor.h
+%{_includedir}/drizzled/data_home.h
+%{_includedir}/drizzled/db.h
+%{_includedir}/drizzled/decimal.h
+%{_includedir}/drizzled/definitions.h
+%{_includedir}/drizzled/diagnostics_area.h
+%{_includedir}/drizzled/discrete_interval.h
+%{_includedir}/drizzled/dtcollation.h
+%{_includedir}/drizzled/dynamic_array.h
+%{_includedir}/drizzled/enum.h
+%{_includedir}/drizzled/enum_nested_loop_state.h
+%{_includedir}/drizzled/errmsg_print.h
+%{_includedir}/drizzled/error.h
+%{_includedir}/drizzled/field.h
+%{_includedir}/drizzled/field/blob.h
+%{_includedir}/drizzled/field/date.h
+%{_includedir}/drizzled/field/datetime.h
+%{_includedir}/drizzled/field/decimal.h
+%{_includedir}/drizzled/field/double.h
+%{_includedir}/drizzled/field/enum.h
+%{_includedir}/drizzled/field/int64_t.h
+%{_includedir}/drizzled/field/long.h
+%{_includedir}/drizzled/field/null.h
+%{_includedir}/drizzled/field/num.h
+%{_includedir}/drizzled/field/real.h
+%{_includedir}/drizzled/field/str.h
+%{_includedir}/drizzled/field/timestamp.h
+%{_includedir}/drizzled/field/varstring.h
+%{_includedir}/drizzled/field_iterator.h
+%{_includedir}/drizzled/file_exchange.h
+%{_includedir}/drizzled/filesort_info.h
+%{_includedir}/drizzled/foreign_key.h
+%{_includedir}/drizzled/function/additive_op.h
+%{_includedir}/drizzled/function/coercibility.h
+%{_includedir}/drizzled/function/field.h
+%{_includedir}/drizzled/function/find_in_set.h
+%{_includedir}/drizzled/function/found_rows.h
+%{_includedir}/drizzled/function/func.h
+%{_includedir}/drizzled/function/get_system_var.h
+%{_includedir}/drizzled/function/get_user_var.h
+%{_includedir}/drizzled/function/last_insert.h
+%{_includedir}/drizzled/function/locate.h
+%{_includedir}/drizzled/function/math/abs.h
+%{_includedir}/drizzled/function/math/acos.h
+%{_includedir}/drizzled/function/math/asin.h
+%{_includedir}/drizzled/function/math/atan.h
+%{_includedir}/drizzled/function/math/ceiling.h
+%{_includedir}/drizzled/function/math/cos.h
+%{_includedir}/drizzled/function/math/dec.h
+%{_includedir}/drizzled/function/math/decimal_typecast.h
+%{_includedir}/drizzled/function/math/divide.h
+%{_includedir}/drizzled/function/math/exp.h
+%{_includedir}/drizzled/function/math/floor.h
+%{_includedir}/drizzled/function/math/int.h
+%{_includedir}/drizzled/function/math/int_divide.h
+%{_includedir}/drizzled/function/math/int_val.h
+%{_includedir}/drizzled/function/math/integer.h
+%{_includedir}/drizzled/function/math/ln.h
+%{_includedir}/drizzled/function/math/log.h
+%{_includedir}/drizzled/function/math/minus.h
+%{_includedir}/drizzled/function/math/mod.h
+%{_includedir}/drizzled/function/math/multiply.h
+%{_includedir}/drizzled/function/math/neg.h
+%{_includedir}/drizzled/function/math/ord.h
+%{_includedir}/drizzled/function/math/plus.h
+%{_includedir}/drizzled/function/math/pow.h
+%{_includedir}/drizzled/function/math/rand.h
+%{_includedir}/drizzled/function/math/real.h
+%{_includedir}/drizzled/function/math/round.h
+%{_includedir}/drizzled/function/math/sin.h
+%{_includedir}/drizzled/function/math/sqrt.h
+%{_includedir}/drizzled/function/math/tan.h
+%{_includedir}/drizzled/function/min_max.h
+%{_includedir}/drizzled/function/num1.h
+%{_includedir}/drizzled/function/num_op.h
+%{_includedir}/drizzled/function/numhybrid.h
+%{_includedir}/drizzled/function/rollup_const.h
+%{_includedir}/drizzled/function/row_count.h
+%{_includedir}/drizzled/function/set_user_var.h
+%{_includedir}/drizzled/function/sign.h
+%{_includedir}/drizzled/function/str/alloc_buffer.h
+%{_includedir}/drizzled/function/str/binary.h
+%{_includedir}/drizzled/function/str/char.h
+%{_includedir}/drizzled/function/str/collation.h
+%{_includedir}/drizzled/function/str/concat.h
+%{_includedir}/drizzled/function/str/conv.h
+%{_includedir}/drizzled/function/str/conv_charset.h
+%{_includedir}/drizzled/function/str/database.h
+%{_includedir}/drizzled/function/str/elt.h
+%{_includedir}/drizzled/function/str/export_set.h
+%{_includedir}/drizzled/function/str/format.h
+%{_includedir}/drizzled/function/str/hex.h
+%{_includedir}/drizzled/function/str/insert.h
+%{_includedir}/drizzled/function/str/left.h
+%{_includedir}/drizzled/function/str/load_file.h
+%{_includedir}/drizzled/function/str/make_set.h
+%{_includedir}/drizzled/function/str/pad.h
+%{_includedir}/drizzled/function/str/quote.h
+%{_includedir}/drizzled/function/str/repeat.h
+%{_includedir}/drizzled/function/str/replace.h
+%{_includedir}/drizzled/function/str/reverse.h
+%{_includedir}/drizzled/function/str/right.h
+%{_includedir}/drizzled/function/str/set_collation.h
+%{_includedir}/drizzled/function/str/str_conv.h
+%{_includedir}/drizzled/function/str/strfunc.h
+%{_includedir}/drizzled/function/str/substr.h
+%{_includedir}/drizzled/function/str/trim.h
+%{_includedir}/drizzled/function/str/user.h
+%{_includedir}/drizzled/function/str/uuid.h
+%{_includedir}/drizzled/function/str/weight_string.h
+%{_includedir}/drizzled/function/time/curdate.h
+%{_includedir}/drizzled/function/time/date.h
+%{_includedir}/drizzled/function/time/date_add_interval.h
+%{_includedir}/drizzled/function/time/date_format.h
+%{_includedir}/drizzled/function/time/dayname.h
+%{_includedir}/drizzled/function/time/dayofmonth.h
+%{_includedir}/drizzled/function/time/dayofyear.h
+%{_includedir}/drizzled/function/time/extract.h
+%{_includedir}/drizzled/function/time/from_days.h
+%{_includedir}/drizzled/function/time/from_unixtime.h
+%{_includedir}/drizzled/function/time/hour.h
+%{_includedir}/drizzled/function/time/last_day.h
+%{_includedir}/drizzled/function/time/makedate.h
+%{_includedir}/drizzled/function/time/microsecond.h
+%{_includedir}/drizzled/function/time/minute.h
+%{_includedir}/drizzled/function/time/month.h
+%{_includedir}/drizzled/function/time/now.h
+%{_includedir}/drizzled/function/time/period_add.h
+%{_includedir}/drizzled/function/time/period_diff.h
+%{_includedir}/drizzled/function/time/quarter.h
+%{_includedir}/drizzled/function/time/second.h
+%{_includedir}/drizzled/function/time/sysdate_local.h
+%{_includedir}/drizzled/function/time/timestamp_diff.h
+%{_includedir}/drizzled/function/time/to_days.h
+%{_includedir}/drizzled/function/time/typecast.h
+%{_includedir}/drizzled/function/time/unix_timestamp.h
+%{_includedir}/drizzled/function/time/weekday.h
+%{_includedir}/drizzled/function/time/year.h
+%{_includedir}/drizzled/function/units.h
+%{_includedir}/drizzled/function/user_var_as_out_param.h
+%{_includedir}/drizzled/function_hash.h
+%{_includedir}/drizzled/gettext.h
+%{_includedir}/drizzled/global_charset_info.h
+%{_includedir}/drizzled/ha_statistics.h
+%{_includedir}/drizzled/ha_trx_info.h
+%{_includedir}/drizzled/handler_structs.h
+%{_includedir}/drizzled/hash.h
+%{_includedir}/drizzled/hybrid_type.h
+%{_includedir}/drizzled/hybrid_type_traits.h
+%{_includedir}/drizzled/hybrid_type_traits_decimal.h
+%{_includedir}/drizzled/hybrid_type_traits_integer.h
+%{_includedir}/drizzled/index_hint.h
+%{_includedir}/drizzled/internal_error_handler.h
+%{_includedir}/drizzled/item.h
+%{_includedir}/drizzled/item/basic_constant.h
+%{_includedir}/drizzled/item/bin_string.h
+%{_includedir}/drizzled/item/blob.h
+%{_includedir}/drizzled/item/cache.h
+%{_includedir}/drizzled/item/cache_decimal.h
+%{_includedir}/drizzled/item/cache_int.h
+%{_includedir}/drizzled/item/cache_real.h
+%{_includedir}/drizzled/item/cache_row.h
+%{_includedir}/drizzled/item/cache_str.h
+%{_includedir}/drizzled/item/cmpfunc.h
+%{_includedir}/drizzled/item/copy_string.h
+%{_includedir}/drizzled/item/create.h
+%{_includedir}/drizzled/item/decimal.h
+%{_includedir}/drizzled/item/default_value.h
+%{_includedir}/drizzled/item/direct_ref.h
+%{_includedir}/drizzled/item/empty_string.h
+%{_includedir}/drizzled/item/field.h
+%{_includedir}/drizzled/item/float.h
+%{_includedir}/drizzled/item/func.h
+%{_includedir}/drizzled/item/hex_string.h
+%{_includedir}/drizzled/item/ident.h
+%{_includedir}/drizzled/item/insert_value.h
+%{_includedir}/drizzled/item/int.h
+%{_includedir}/drizzled/item/int_with_ref.h
+%{_includedir}/drizzled/item/null.h
+%{_includedir}/drizzled/item/num.h
+%{_includedir}/drizzled/item/outer_ref.h
+%{_includedir}/drizzled/item/ref.h
+%{_includedir}/drizzled/item/ref_null_helper.h
+%{_includedir}/drizzled/item/return_date_time.h
+%{_includedir}/drizzled/item/return_int.h
+%{_includedir}/drizzled/item/row.h
+%{_includedir}/drizzled/item/string.h
+%{_includedir}/drizzled/item/subselect.h
+%{_includedir}/drizzled/item/sum.h
+%{_includedir}/drizzled/item/type_holder.h
+%{_includedir}/drizzled/item/uint.h
+%{_includedir}/drizzled/join.h
+%{_includedir}/drizzled/join_cache.h
+%{_includedir}/drizzled/join_table.h
+%{_includedir}/drizzled/key.h
+%{_includedir}/drizzled/key_map.h
+%{_includedir}/drizzled/key_part_spec.h
+%{_includedir}/drizzled/korr.h
+%{_includedir}/drizzled/lex_column.h
+%{_includedir}/drizzled/lex_input_stream.h
+%{_includedir}/drizzled/lex_string.h
+%{_includedir}/drizzled/lex_symbol.h
+%{_includedir}/drizzled/lock.h
+%{_includedir}/drizzled/lookup_symbol.h
+%{_includedir}/drizzled/memory/multi_malloc.h
+%{_includedir}/drizzled/memory/root.h
+%{_includedir}/drizzled/memory/sql_alloc.h
+%{_includedir}/drizzled/message/master_list.pb.h
+%{_includedir}/drizzled/message/schema.pb.h
+%{_includedir}/drizzled/message/statement_transform.h
+%{_includedir}/drizzled/message/table.pb.h
+%{_includedir}/drizzled/message/transaction.pb.h
+%{_includedir}/drizzled/my_decimal.h
+%{_includedir}/drizzled/my_error.h
+%{_includedir}/drizzled/my_getopt.h
+%{_includedir}/drizzled/my_hash.h
+%{_includedir}/drizzled/my_time.h
+%{_includedir}/drizzled/my_tree.h
+%{_includedir}/drizzled/my_var.h
+%{_includedir}/drizzled/name_resolution_context.h
+%{_includedir}/drizzled/name_resolution_context_state.h
+%{_includedir}/drizzled/named_savepoint.h
+%{_includedir}/drizzled/natural_join_column.h
+%{_includedir}/drizzled/nested_join.h
+%{_includedir}/drizzled/open_tables_state.h
+%{_includedir}/drizzled/optimizer/explain_plan.h
+%{_includedir}/drizzled/optimizer/key_field.h
+%{_includedir}/drizzled/optimizer/key_use.h
+%{_includedir}/drizzled/optimizer/position.h
+%{_includedir}/drizzled/optimizer/quick_group_min_max_select.h
+%{_includedir}/drizzled/optimizer/quick_index_merge_select.h
+%{_includedir}/drizzled/optimizer/quick_range.h
+%{_includedir}/drizzled/optimizer/quick_range_select.h
+%{_includedir}/drizzled/optimizer/quick_ror_intersect_select.h
+%{_includedir}/drizzled/optimizer/quick_ror_union_select.h
+%{_includedir}/drizzled/optimizer/range.h
+%{_includedir}/drizzled/optimizer/range_param.h
+%{_includedir}/drizzled/optimizer/sargable_param.h
+%{_includedir}/drizzled/optimizer/sel_arg.h
+%{_includedir}/drizzled/optimizer/sum.h
+%{_includedir}/drizzled/optimizer/table_read_plan.h
+%{_includedir}/drizzled/order.h
+%{_includedir}/drizzled/parser.h
+%{_includedir}/drizzled/plugin.h
+%{_includedir}/drizzled/plugin/authentication.h
+%{_includedir}/drizzled/plugin/client.h
+%{_includedir}/drizzled/plugin/error_message.h
+%{_includedir}/drizzled/plugin/function.h
+%{_includedir}/drizzled/plugin/info_schema_table.h
+%{_includedir}/drizzled/plugin/library.h
+%{_includedir}/drizzled/plugin/listen.h
+%{_includedir}/drizzled/plugin/listen_tcp.h
+%{_includedir}/drizzled/plugin/logging.h
+%{_includedir}/drizzled/plugin/manifest.h
+%{_includedir}/drizzled/plugin/module.h
+%{_includedir}/drizzled/plugin/null_client.h
+%{_includedir}/drizzled/plugin/plugin.h
+%{_includedir}/drizzled/plugin/query_cache.h
+%{_includedir}/drizzled/plugin/registry.h
+%{_includedir}/drizzled/plugin/scheduler.h
+%{_includedir}/drizzled/plugin/storage_engine.h
+%{_includedir}/drizzled/plugin/transaction_applier.h
+%{_includedir}/drizzled/plugin/transaction_reader.h
+%{_includedir}/drizzled/plugin/transaction_replicator.h
+%{_includedir}/drizzled/plugin/version.h
+%{_includedir}/drizzled/probes.h
+%{_includedir}/drizzled/pthread_globals.h
+%{_includedir}/drizzled/qsort_cmp.h
+%{_includedir}/drizzled/query_id.h
+%{_includedir}/drizzled/records.h
+%{_includedir}/drizzled/replication_services.h
+%{_includedir}/drizzled/security_context.h
+%{_includedir}/drizzled/select_create.h
+%{_includedir}/drizzled/select_dump.h
+%{_includedir}/drizzled/select_dumpvar.h
+%{_includedir}/drizzled/select_exists_subselect.h
+%{_includedir}/drizzled/select_export.h
+%{_includedir}/drizzled/select_insert.h
+%{_includedir}/drizzled/select_max_min_finder_subselect.h
+%{_includedir}/drizzled/select_result.h
+%{_includedir}/drizzled/select_result_interceptor.h
+%{_includedir}/drizzled/select_send.h
+%{_includedir}/drizzled/select_singlerow_subselect.h
+%{_includedir}/drizzled/select_subselect.h
+%{_includedir}/drizzled/select_to_file.h
+%{_includedir}/drizzled/select_union.h
+%{_includedir}/drizzled/session.h
+%{_includedir}/drizzled/session_list.h
+%{_includedir}/drizzled/set_var.h
+%{_includedir}/drizzled/show.h
+%{_includedir}/drizzled/sql_base.h
+%{_includedir}/drizzled/sql_bitmap.h
+%{_includedir}/drizzled/sql_error.h
+%{_includedir}/drizzled/sql_lex.h
+%{_includedir}/drizzled/sql_list.h
+%{_includedir}/drizzled/sql_load.h
+%{_includedir}/drizzled/sql_locale.h
+%{_includedir}/drizzled/sql_parse.h
+%{_includedir}/drizzled/sql_select.h
+%{_includedir}/drizzled/sql_sort.h
+%{_includedir}/drizzled/sql_state.h
+%{_includedir}/drizzled/sql_string.h
+%{_includedir}/drizzled/sql_table.h
+%{_includedir}/drizzled/sql_union.h
+%{_includedir}/drizzled/stacktrace.h
+%{_includedir}/drizzled/statement.h
+%{_includedir}/drizzled/statement/alter_schema.h
+%{_includedir}/drizzled/statement/alter_table.h
+%{_includedir}/drizzled/statement/analyze.h
+%{_includedir}/drizzled/statement/change_schema.h
+%{_includedir}/drizzled/statement/check.h
+%{_includedir}/drizzled/statement/checksum.h
+%{_includedir}/drizzled/statement/commit.h
+%{_includedir}/drizzled/statement/create_index.h
+%{_includedir}/drizzled/statement/create_schema.h
+%{_includedir}/drizzled/statement/create_table.h
+%{_includedir}/drizzled/statement/delete.h
+%{_includedir}/drizzled/statement/drop_index.h
+%{_includedir}/drizzled/statement/drop_schema.h
+%{_includedir}/drizzled/statement/drop_table.h
+%{_includedir}/drizzled/statement/empty_query.h
+%{_includedir}/drizzled/statement/flush.h
+%{_includedir}/drizzled/statement/insert.h
+%{_includedir}/drizzled/statement/insert_select.h
+%{_includedir}/drizzled/statement/kill.h
+%{_includedir}/drizzled/statement/load.h
+%{_includedir}/drizzled/statement/release_savepoint.h
+%{_includedir}/drizzled/statement/rename_table.h
+%{_includedir}/drizzled/statement/replace.h
+%{_includedir}/drizzled/statement/replace_select.h
+%{_includedir}/drizzled/statement/rollback.h
+%{_includedir}/drizzled/statement/rollback_to_savepoint.h
+%{_includedir}/drizzled/statement/savepoint.h
+%{_includedir}/drizzled/statement/select.h
+%{_includedir}/drizzled/statement/set_option.h
+%{_includedir}/drizzled/statement/show_create.h
+%{_includedir}/drizzled/statement/show_create_schema.h
+%{_includedir}/drizzled/statement/show_errors.h
+%{_includedir}/drizzled/statement/show_processlist.h
+%{_includedir}/drizzled/statement/show_status.h
+%{_includedir}/drizzled/statement/show_warnings.h
+%{_includedir}/drizzled/statement/start_transaction.h
+%{_includedir}/drizzled/statement/truncate.h
+%{_includedir}/drizzled/statement/unlock_tables.h
+%{_includedir}/drizzled/statement/update.h
+%{_includedir}/drizzled/stored_key.h
+%{_includedir}/drizzled/strfunc.h
+%{_includedir}/drizzled/structs.h
+%{_includedir}/drizzled/symbol_hash.h
+%{_includedir}/drizzled/table.h
+%{_includedir}/drizzled/table_ident.h
+%{_includedir}/drizzled/table_identifier.h
+%{_includedir}/drizzled/table_list.h
+%{_includedir}/drizzled/table_proto.h
+%{_includedir}/drizzled/table_reference.h
+%{_includedir}/drizzled/table_share.h
+%{_includedir}/drizzled/temporal.h
+%{_includedir}/drizzled/temporal_format.h
+%{_includedir}/drizzled/temporal_interval.h
+%{_includedir}/drizzled/thr_lock.h
+%{_includedir}/drizzled/time_functions.h
+%{_includedir}/drizzled/tmp_table_param.h
+%{_includedir}/drizzled/transaction_services.h
+%{_includedir}/drizzled/typelib.h
+%{_includedir}/drizzled/tzfile.h
+%{_includedir}/drizzled/tztime.h
+%{_includedir}/drizzled/unique.h
+%{_includedir}/drizzled/unireg.h
+%{_includedir}/drizzled/user_var_entry.h
+%{_includedir}/drizzled/utf8.h
+%{_includedir}/drizzled/utf8/checked.h
+%{_includedir}/drizzled/utf8/core.h
+%{_includedir}/drizzled/utf8/unchecked.h
+%{_includedir}/drizzled/util/convert.h
+%{_includedir}/drizzled/util/functors.h
+%{_includedir}/drizzled/util/test.h
+%{_includedir}/drizzled/util/tokenize.h
+%{_includedir}/drizzled/version.h
+%{_includedir}/drizzled/visibility.h
+%{_includedir}/drizzled/xid.h
+%{_libdir}/drizzle/plugin/libarchive_plugin.la
+%{_libdir}/drizzle/plugin/libarchive_plugin.so
+%{_libdir}/drizzle/plugin/libascii_plugin.la
+%{_libdir}/drizzle/plugin/libascii_plugin.so
+%{_libdir}/drizzle/plugin/libauth_pam_plugin.la
+%{_libdir}/drizzle/plugin/libauth_pam_plugin.so
+%{_libdir}/drizzle/plugin/libbenchmark_plugin.la
+%{_libdir}/drizzle/plugin/libbenchmark_plugin.so
+%{_libdir}/drizzle/plugin/libblackhole_plugin.la
+%{_libdir}/drizzle/plugin/libblackhole_plugin.so
+%{_libdir}/drizzle/plugin/libcharlength_plugin.la
+%{_libdir}/drizzle/plugin/libcharlength_plugin.so
+%{_libdir}/drizzle/plugin/libcompression_plugin.la
+%{_libdir}/drizzle/plugin/libcompression_plugin.so
+%{_libdir}/drizzle/plugin/libconnection_id_plugin.la
+%{_libdir}/drizzle/plugin/libconnection_id_plugin.so
+%{_libdir}/drizzle/plugin/libconsole_plugin.la
+%{_libdir}/drizzle/plugin/libconsole_plugin.so
+%{_libdir}/drizzle/plugin/libcrc32_plugin.la
+%{_libdir}/drizzle/plugin/libcrc32_plugin.so
+%{_libdir}/drizzle/plugin/libcsv_plugin.la
+%{_libdir}/drizzle/plugin/libcsv_plugin.so
+%{_libdir}/drizzle/plugin/libdefault_replicator_plugin.la
+%{_libdir}/drizzle/plugin/libdefault_replicator_plugin.so
+%{_libdir}/drizzle/plugin/liberrmsg_stderr_plugin.la
+%{_libdir}/drizzle/plugin/liberrmsg_stderr_plugin.so
+%{_libdir}/drizzle/plugin/libfiltered_replicator_plugin.la
+%{_libdir}/drizzle/plugin/libfiltered_replicator_plugin.so
+%{_libdir}/drizzle/plugin/libhello_world_plugin.la
+%{_libdir}/drizzle/plugin/libhello_world_plugin.so
+%{_libdir}/drizzle/plugin/libinfo_schema_plugin.la
+%{_libdir}/drizzle/plugin/libinfo_schema_plugin.so
+%{_libdir}/drizzle/plugin/libinformation_engine_plugin.la
+%{_libdir}/drizzle/plugin/libinformation_engine_plugin.so
+%{_libdir}/drizzle/plugin/liblength_plugin.la
+%{_libdir}/drizzle/plugin/liblength_plugin.so
+%{_libdir}/drizzle/plugin/liblogging_query_plugin.la
+%{_libdir}/drizzle/plugin/liblogging_query_plugin.so
+%{_libdir}/drizzle/plugin/liblogging_syslog_plugin.la
+%{_libdir}/drizzle/plugin/liblogging_syslog_plugin.so
+%{_libdir}/drizzle/plugin/libmd5_plugin.la
+%{_libdir}/drizzle/plugin/libmd5_plugin.so
+%{_libdir}/drizzle/plugin/libmemcached_functions_plugin.la
+%{_libdir}/drizzle/plugin/libmemcached_functions_plugin.so
+%{_libdir}/drizzle/plugin/libmemcached_stats_plugin.la
+%{_libdir}/drizzle/plugin/libmemcached_stats_plugin.so
+%{_libdir}/drizzle/plugin/libmulti_thread_plugin.la
+%{_libdir}/drizzle/plugin/libmulti_thread_plugin.so
+%{_libdir}/drizzle/plugin/libpool_of_threads_plugin.la
+%{_libdir}/drizzle/plugin/libpool_of_threads_plugin.so
+%{_libdir}/drizzle/plugin/librot13_plugin.la
+%{_libdir}/drizzle/plugin/librot13_plugin.so
+%{_libdir}/drizzle/plugin/libshow_schema_proto_plugin.la
+%{_libdir}/drizzle/plugin/libshow_schema_proto_plugin.so
+%{_libdir}/drizzle/plugin/libsingle_thread_plugin.la
+%{_libdir}/drizzle/plugin/libsingle_thread_plugin.so
+%{_libdir}/drizzle/plugin/libsleep_plugin.la
+%{_libdir}/drizzle/plugin/libsleep_plugin.so
+%{_libdir}/drizzle/plugin/libtableprototester_plugin.la
+%{_libdir}/drizzle/plugin/libtableprototester_plugin.so
+%{_libdir}/drizzle/plugin/libtransaction_log_plugin.la
+%{_libdir}/drizzle/plugin/libtransaction_log_plugin.so
+%{_libdir}/drizzle/plugin/libversion_plugin.la
+%{_libdir}/drizzle/plugin/libversion_plugin.so
+%{_sbindir}/drizzled
+%{_datadir}/drizzle/drizzle-log-rotate
+%{_datadir}/drizzle/drizzle.server
+%{_datadir}/locale/ar/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ca/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/cs/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/cy/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/de/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/el/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/en_AU/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/en_GB/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/eo/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/es/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/fr/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/he/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/hi/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/id/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/it/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ja/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ko/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ml/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/mr/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ms/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/nb/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/nl/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/pl/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/pt/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/pt_BR/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ro/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ru/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/sv/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/ta/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/tr/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/zh_CN/LC_MESSAGES/drizzle.mo
+%{_datadir}/locale/zh_HK/LC_MESSAGES/drizzle.mo
+%{_mandir}/man1/drizzle.1.gz
+%{_mandir}/man1/drizzledump.1.gz
+%{_mandir}/man1/drizzleimport.1.gz
+%{_mandir}/man1/drizzleslap.1.gz
+%{_mandir}/man8/drizzled.8.gz
+
+
+
+%changelog
+* Tue Feb 9 2010 Brian Aker <brian@tangent.org> - 0.1
+- Added basic RPM file

=== modified file 'support-files/include.am'
--- support-files/include.am	2009-12-05 08:37:55 +0000
+++ support-files/include.am	2010-02-10 09:07:38 +0000
@@ -1,4 +1,7 @@
+# vim:ft=automake
+
 # Copyright (C) 2000-2001, 2003-2006 MySQL AB
+# Copyright (C) Brian Aker
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -25,8 +28,18 @@
 pkgsupp_SCRIPTS =	support-files/drizzle.server 
 
 
-EXTRA_DIST += \
-	support-files/smf/install.sh \
-	support-files/smf/drizzle.xml \
-	support-files/smf/drizzle
+EXTRA_DIST+= \
+	     support-files/smf/drizzle \
+	     support-files/smf/drizzle.xml \
+	     support-files/smf/install.sh \
+	     support-files/drizzle.spec
+generic_rpm:
+	rm -f ~/rpmbuild/RPMS/x86_64/drizzle-$(VERSION)*.rpm
+	rm -f ~/rpmbuild/SRPMS/drizzle-$(VERSION)*.rpm
+	cp drizzle-$(VERSION).tar.gz ~/rpmbuild/SOURCES/
+	rpmbuild -ba support-files/drizzle.spec
+	cp ~/rpmbuild/RPMS/x86_64/drizzle-$(VERSION)*.rpm .
+	cp ~/rpmbuild/SRPMS/drizzle-$(VERSION)*.rpm .
+
+rpm: dist generic_rpm
 

